kr.co.hanwha.hifive.adapter.model

## Class TaskListViewHolderData

- java.lang.Object
- - kr.co.hanwha.hifive.adapter.model.TaskListViewHolderData

-     public class TaskListViewHolderData
      extends java.lang.Object

  Created by sanghoonkwon on 2018. 1. 31..

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) TaskListData` | `data`
    `(package private) int` | `intValue`
    `(package private) java.lang.String` | `title`
    `(package private) ViewHolderTaskType` | `type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaskListViewHolderData(ViewHolderTaskType type, java.lang.String title, int intValue)`
    `TaskListViewHolderData(ViewHolderTaskType type, TaskListData data)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TaskListData` | `getData()`
    `int` | `getIntValue()`
    `java.lang.String` | `getTitle()`
    `ViewHolderTaskType` | `getType()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### type

          ViewHolderTaskType type

    - #### data

          TaskListData data

    - #### title

          java.lang.String title

    - #### intValue

          int intValue

  - ### Constructor Detail

    - #### TaskListViewHolderData

          public TaskListViewHolderData(ViewHolderTaskType type,
                                        TaskListData data)

    - #### TaskListViewHolderData

          public TaskListViewHolderData(ViewHolderTaskType type,
                                        java.lang.String title,
                                        int intValue)

  - ### Method Detail

    - #### getType

          public ViewHolderTaskType getType()

    - #### getData

          public TaskListData getData()

    - #### getTitle

          public java.lang.String getTitle()

    - #### getIntValue

          public int getIntValue()